
import type { FirstParam, Func, NonFirstParams } from './types';

export function bind_first_param<F extends Func>(func: F, first: FirstParam<F>) : (...args: NonFirstParams<F>) => ReturnType<F> {
	return function (...args: NonFirstParams<F>) : ReturnType<F> {
		return func(first, ...args);
	};
}
